
		*=$4000

_NOP		=0
_END		=1
_NOTE		=2
_AD		=3
_SR		=4
_CR		=5
_SAW		=6
_2NOTE		=7
_2AD		=8
_2SR		=9
_2CR		=10
_2SAW		=11
_DEPTH		=12
_VRESTART	=13
_REL		=14
_2REL		=15
_2TRI		=16
_VOL		=17
_PUL		=18
_2PUL		=19
_PW		=20
_FILTER		=21
_CUTO		=22
_CUTOD		=23
_VSPEED		=24
_RESET		=25
_PWD		=26
_TRANSPH	=27
_TRANSPDH	=28
_TRANSPDL	=29
_TRANSPL	=30
_3ARP		=31
_3AD		=32
_3SR		=33
_3SAW		=34
_3REL		=35
_3TRI		=36
_TRI		=37
_2DEPTH		=38
_JUMP		=39
_TEMPO		=40
_BNOTE		=41
_BSAW		=42
_BREL		=43
_BSR		=44
_3CR		=45

seqptr		=$90
tmpjmp		=$92

		jmp	initroutine

playroutine:	.(
		.(
		lda	playflag
		beq	write_sid
		.)
		.(
		dec	timeleft
		bne	write_sid
		.)
getcmd		.(
		jsr	getbyte
		asl
		tax
		lda	cmdtable,x
		sta	tmpjmp
		lda	cmdtable+1,x
		sta	tmpjmp+1
		jmp	(tmpjmp)
		.)

postcmd		.(
		jsr	getbyte
		cmp	#0
		beq	getcmd
		sta	timeleft
		.)
write_sid	.(
		ldx	vibrpos
		lda	sinvibr,x
		ldy	vibrdepth
shl		dey
		beq	shd
		lsr
		jmp	shl
shd		sta	vibroffs
		.)
		.(
		ldx	vibrpos
		lda	sinvibr,x
		ldy	vibrdepth2
shl		dey
		beq	shd
		lsr
		jmp	shl
shd		sta	vibroffs2
		txa
		clc
		adc	vibrdelta
		sta	vibrpos
		.)
		.(
		ldx	basefreq+1
		lda	basefreq
		clc
		adc	vibroffs
		bcc	s1
		inx
s1		clc
		adc	transpoffs
		bcc	s2
		inx
s2		pha
		txa
		clc
		adc	vibroffs+1
		clc
		adc	transpoffs+1
		sta	$d401
		pla
		sta	$d400
		.)
		.(
		lda	transpoffs
		clc
		adc	transpdelta
		sta	transpoffs
		lda	transpoffs+1
		adc	transpdelta+1
		sta	transpoffs+1
		.)
		.(
		ldx	basefreq2+1
		lda	basefreq2
		clc
		adc	vibroffs2
		bcc	s1
		inx
s1		clc
		adc	transpoffs
		bcc	s2
		inx
s2		pha
		txa
		clc
		adc	vibroffs2+1
		clc
		adc	transpoffs+1
		sta	$d408
		pla
		sta	$d407
		.)
		.(
		dec	arppos
		bne	s1
		lda	#3
		sta	arppos
s1		ldx	arppos
		lda	arpnotes-1,x
		tax
		lda	lofreq,x
		sta	$d40e
		lda	hifreq,x
		sta	$d40f
		.)
		.(
		lda	pwidth
		clc
		adc	pwidthd
		sta	pwidth
		pha
		lda	pwidth+1
		adc	pwidthd+1
		sta	pwidth+1
		sta	$d403
		sta	$d40a
		pla
		sta	$d402
		sta	$d409
		.)
		.(
		lda	cutoff
		clc
		adc	cutoffd
		sta	cutoff
		lda	cutoff+1
		adc	cutoffd+1
		sta	cutoff+1
		sta	$d416
		.)
		rts

cmdtable	.word	c_nop,c_end
		.word	c_note,c_ad,c_sr,c_cr,c_saw
		.word	c_2note,c_2ad,c_2sr,c_2cr,c_2saw
		.word	c_depth,c_vrestart
		.word	c_rel,c_2rel
		.word	c_2tri
		.word	c_vol
		.word	c_pul,c_2pul,c_pw
		.word	c_filter,c_cuto,c_cutod
		.word	c_vspeed
		.word	c_reset
		.word	c_pwd
		.word	c_transph,c_transpdh,c_transpdl,c_transpl
		.word	c_3arp,c_3ad,c_3sr,c_3saw,c_3rel,c_3tri
		.word	c_tri,c_2depth,c_jump,c_tempo
		.word	c_bnote,c_bsaw,c_brel,c_bsr,c_3cr

c_nop		jmp	postcmd

c_end		lda	#0
		sta	playflag
		jmp	postcmd

c_note		.(
		jsr	getbyte
		tax
		lda	lofreq,x
		sta	basefreq
		lda	hifreq,x
		sta	basefreq+1
		jmp	postcmd
		.)

c_ad		jsr	getbyte
		sta	$d405
		jmp	postcmd


c_sr		jsr	getbyte
		sta	$d406
		jmp	postcmd

c_cr		jsr	getbyte
		sta	ctrlshadow
		sta	$d404
		jmp	postcmd

c_3cr		jsr	getbyte
		sta	ctrlshadow3
		sta	$d412
		jmp	postcmd

c_saw		lda	#$21
		sta	ctrlshadow
		sta	$d404
		jmp	postcmd

c_2note		.(
		jsr	getbyte
		tax
		lda	lofreq,x
		sta	basefreq2
		lda	hifreq,x
		sta	basefreq2+1
		jmp	postcmd
		.)

c_bnote		.(
		jsr	getbyte
		tax
		lda	lofreq,x
		sta	basefreq
		lda	hifreq,x
		sta	basefreq+1
		lda	lofreq+12,x
		sta	basefreq2
		lda	hifreq+12,x
		sta	basefreq2+1
		jmp	postcmd
		.)

c_2ad		jsr	getbyte
		sta	$d40c
		jmp	postcmd

c_2sr		jsr	getbyte
		sta	$d40d
		jmp	postcmd

c_bsr		jsr	getbyte
		sta	$d406
		sta	$d40d
		jmp	postcmd

c_3ad		jsr	getbyte
		sta	$d413
		jmp	postcmd

c_3sr		jsr	getbyte
		sta	$d414
		jmp	postcmd

c_2cr		jsr	getbyte
		sta	ctrlshadow2
		sta	$d40b
		jmp	postcmd

c_2saw		lda	#$21
		sta	ctrlshadow2
		sta	$d40b
		jmp	postcmd

c_3saw		lda	#$21
		sta	ctrlshadow3
		sta	$d412
		jmp	postcmd

c_bsaw		lda	#$21
		sta	ctrlshadow2
		sta	ctrlshadow
		sta	$d40b
		sta	$d404
		jmp	postcmd

c_3tri		lda	#$11
		sta	ctrlshadow3
		sta	$d412
		jmp	postcmd

c_tri		lda	#$11
		sta	ctrlshadow
		sta	$d404
		jmp	postcmd

c_2tri		lda	#$11
		sta	ctrlshadow2
		sta	$d40b
		jmp	postcmd
	
c_depth		jsr	getbyte
		sta	vibrdepth
		jmp	postcmd

c_2depth	jsr	getbyte
		sta	vibrdepth2
		jmp	postcmd

c_vrestart	lda	#0
		sta	vibrpos
		jmp	postcmd

c_brel		lda	ctrlshadow2
		and	#$fe
		sta	$d40b
		;drop through

c_rel		lda	ctrlshadow
		and	#$fe
		sta	$d404
		jmp	postcmd

c_2rel		lda	ctrlshadow2
		and	#$fe
		sta	$d40b
		jmp	postcmd

c_3rel		lda	ctrlshadow3
		and	#$fe
		sta	$d412
		jmp	postcmd


c_3arp		jsr	getbyte
		sta	arpnotes
		jsr	getbyte
		sta	arpnotes+1
		jsr	getbyte
		sta	arpnotes+2
		jmp	postcmd

c_vol		jsr	getbyte
		clc
		adc	#2
		sta	$d418
		jmp	postcmd

c_pul		lda	#$41
		sta	ctrlshadow
		sta	$d404
		jmp	postcmd

c_2pul		lda	#$41
		sta	ctrlshadow2
		sta	$d40b
		jmp	postcmd

c_pw		jsr	getbyte
		pha
		asl
		asl
		asl
		asl
		sta	pwidth
		pla
		lsr
		lsr
		lsr
		lsr
		sta	pwidth+1
		jmp	postcmd

c_filter	jsr	getbyte
		sta	$d417
		jmp	postcmd

c_cuto		jsr	getbyte
		sta	cutoff+1
		jmp	postcmd

c_cutod		jsr	getbyte
		sta	cutoffd
		.(
		eor	#0
		bmi	s1
		lda	#0
		jmp	s2
s1		lda	#$ff
s2		sta	cutoffd+1
		.)
		jmp	postcmd

c_vspeed	jsr	getbyte
		sta	vibrdelta
		jmp	postcmd

c_reset		jsr	sidreset
		jmp	postcmd

c_pwd		jsr	getbyte
		sta	pwidthd
		jmp	postcmd

c_transph	jsr	getbyte
		sta	transpoffs+1
		jmp	postcmd

c_transpdh	jsr	getbyte
		sta	transpdelta+1
		jmp	postcmd

c_transpdl	jsr	getbyte
		sta	transpdelta
		jmp	postcmd

c_transpl	jsr	getbyte
		sta	transpoffs
		jmp	postcmd

c_jump 		lda	#>jumphere
		sta	seqptr+1
		lda	#<jumphere
		sta	seqptr
		jmp	postcmd

c_tempo		jsr	getbyte
		sta	$dc05
		lda	#$0
		sta	$dc04
		jmp	postcmd

getbyte		.(
		ldy	#0
		lda	(seqptr),y
		inc	seqptr
		bne	s1
		inc	seqptr+1
s1		rts
		.)

		.)

initroutine:	.(
		lda	#>sequence
		sta	seqptr+1
		lda	#<sequence
		sta	seqptr
		jsr	sidreset
		lda	#$f
		sta	$d418
		lda	#$5c
		sta	$dc05
		lda	#$0
		sta	$dc04
		rts
		.)

sidreset	.(
		ldx	#$18
		lda	#0
lp		sta	$d400,x
		dex
		bpl	lp
		rts
		.)
sequence:	
		.byt	_VOL,$43
		.byt	20,_FILTER,$46
		.byt	0,_CUTO,$72
		.byt	0,_3ARP,59,62,66
		.byt	0,_3AD,$3f
		.byt	0,_3SR,$c8
		.byt	0,_NOTE,35
		.byt	0,_AD,$03
		.byt	0,_SR,$69

		;.byt	0,_JUMP

		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL

		.byt	3,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL

		.byt	3,_2AD,$a5
		.byt	0,_2SR,$bf
		.byt	0,_2NOTE,47
		.byt	0,_2TRI
		.byt	0,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	4,_2SR,$af
		.byt	1,_2SR,$8c
		.byt	5,_REL
		.byt	0,_2DEPTH,4
		.byt	0,_VRESTART
		.byt	0,_VSPEED,27
		.byt	5,_2DEPTH,3
		.byt	10,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,31
		.byt	20,_2DEPTH,6
		.byt	10,_2REL
		.byt	6,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,35
		.byt	0,_2AD,$54
		.byt	0,_2SR,$8c
		.byt	0,_2TRI
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_VRESTART
		.byt	0,_2DEPTH,4
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,40
		.byt	12,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,38
		.byt	0,_TRI
		.byt	0,_2REL
		.byt	10,_REL
		.byt	15,_NOTE,37
		.byt	0,_TRI
		.byt	10,_REL

		; 1 bar before (1)
		.byt	17,_NOTE,35
		.byt	0,_AD,$04
		.byt	0,_SR,$8a
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL
		.byt	0,_FILTER,$46

		.byt	3,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,61,65
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL

		.byt	3,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,58,61,69
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,58,61,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,28
		.byt	4,_TRI
		.byt	10,_REL

		.byt	2,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3ARP,58,64,66
		.byt	0,_3TRI
		.byt	8,_3REL
		.byt	16,_NOTE,40
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	16,_NOTE,38
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,37
		.byt	0,_TRI
		.byt	0,_3TRI
		.byt	8,_3REL
		.byt	2,_REL

		.byt	14,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	15,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	16,_2NOTE,66
		.byt	0,_2DEPTH,6
		.byt	0,_2AD,$c0
		.byt	0,_2SR,$28
		.byt	0,_VOL,$44
		.byt	0,_2SAW
		.byt	8,_VRESTART
		.byt	0,_2AD,$00
		.byt	0,_2DEPTH,2
		.byt	0,_VSPEED,40
		.byt	0,_NOTE,31
		.byt	16,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,30
		.byt	0,_2DEPTH,6
		.byt	0,_TRI
		.byt	4,_2NOTE,67
		.byt	4,_2NOTE,66
		.byt	2,_REL
		.byt	2,_2NOTE,65
		.byt	4,_2NOTE,66
		.byt	4,_2NOTE,69
		.byt	4,_2NOTE,66
		.byt	0,_NOTE,35
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_2DEPTH,2
		.byt	0,_VRESTART
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,40		;bar (2)
		.byt	12,_TRI
		.byt	10,_REL
		.byt	15,_NOTE,38
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_2DEPTH,6
		.byt	0,_2AD,$3f
		.byt	0,_2SR,$1f
		.byt	15,_NOTE,37
		.byt	0,_TRI
		.byt	4,_2NOTE,67
		.byt	4,_2NOTE,66
		.byt	2,_REL
		.byt	2,_2NOTE,65
		.byt	4,_2NOTE,66
		.byt	4,_2NOTE,69
		.byt	0,_2REL
		.byt	4,_2NOTE,66
		.byt	0,_2AD,$ff
		.byt	0,_2SR,$0f
		.byt	0,_2SAW

		.byt	0,_NOTE,35
		.byt	0,_AD,$04
		.byt	0,_SR,$8a
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	0,_VRESTART
		.byt	0,_VSPEED,30
		.byt	0,_2DEPTH,2
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_2NOTE,65
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_2REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL

		.byt	3,_NOTE,35
		.byt	1,_2NOTE,62
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	9,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_2NOTE,65
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	0,_2SAW
		.byt	10,_REL

		.byt	3,_NOTE,35
		.byt	0,_2NOTE,66
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_2NOTE,69
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,58,61,69
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	0,_2REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,58,61,67
		.byt	4,_3TRI
		.byt	0,_2NOTE,67
		.byt	8,_3REL
		.byt	0,_NOTE,28
		.byt	4,_TRI
		.byt	10,_REL

		.byt	2,_NOTE,30
		.byt	0,_2NOTE,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3ARP,58,64,66
		.byt	0,_CUTOD,$e0
		.byt	0,_3TRI
		.byt	8,_3REL
		.byt	16,_NOTE,40
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	16,_NOTE,38
		.byt	0,_TRI
		.byt	0,_2SR,$0c
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL

		; 1 bar before (3)
;jumphere:
		.byt	16,_AD,$04
		.byt	0,_SR,$8a
		.byt	0,_2AD,$04
		.byt	0,_2SR,$8a
		.byt	0,_VOL,$14
		.byt	0,_FILTER,$c1
		.byt	0,_CUTO,$50
		.byt	0,_CUTOD,$04
		.byt	0,_NOTE,35
		.byt	0,_SAW
		.byt	0,_2NOTE,35
		.byt	0,_2TRI
		.byt	10,_REL
		.byt	0,_2REL
		.byt	0,_TEMPO,$53
		.byt	26,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL
		.byt	0,_FILTER,$c3

		.byt	26,_NOTE,38
		.byt	0,_VOL,$15
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,36
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,35
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,33
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,31
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,30
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,29
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,28
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_NOTE,40
		.byt	0,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,45
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_NOTE,33
		.byt	0,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,43
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_NOTE,31
		.byt	0,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,42
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_NOTE,30
		.byt	0,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,40
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_NOTE,28
		.byt	0,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,38
		.byt	0,_SAW
		.byt	10,_REL
		.byt	26,_NOTE,26
		.byt	0,_SAW
		.byt	10,_REL

		.byt	26,_NOTE,37
		.byt	0,_2NOTE,25
		.byt	0,_2DEPTH,6
		.byt	0,_SAW
		.byt	0,_2SAW
		.byt	10,_REL
		.byt	0,_2REL
		.byt	26,_SAW
		.byt	0,_2SAW
		.byt	10,_REL
		.byt	0,_2REL

		.byt	26,_NOTE,42
		.byt	0,_2NOTE,30
		.byt	0,_SAW
		.byt	0,_2SAW
		.byt	10,_REL
		.byt	0,_2REL
		.byt	26,_NOTE,40
		.byt	0,_2NOTE,28
		.byt	0,_SAW
		.byt	0,_2SAW
		.byt	10,_REL
		.byt	0,_2REL
		.byt	26,_NOTE,38
		.byt	0,_2NOTE,26
		.byt	0,_SAW
		.byt	0,_2SAW
		.byt	10,_REL
		.byt	0,_2REL
		.byt	26,_NOTE,36
		.byt	0,_2NOTE,24
		.byt	0,_SAW
		.byt	0,_2SAW
		.byt	10,_REL
		.byt	0,_2REL

		.byt	26,_BNOTE,23
		.byt	0,_VOL,$17
		.byt	0,_CUTOD,0
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_TEMPO,$4c
		.byt	46,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,25		;bar (5)
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	86,_BNOTE,31
		.byt	0,_BSR,$68
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,23
		.byt	0,_BSR,$8a
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	62,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,26
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	15,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	0,_TEMPO,$50

		.byt	15,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	38,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	38,_BNOTE,26
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL

		.byt	14,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	86,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	62,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,26
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	15,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL

		.byt	15,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,31
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	49,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	3,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	38,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	38,_BNOTE,26
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	14,_BNOTE,25
		.byt	0,_BSAW
		.byt	10,_BREL


		.byt	14,_BNOTE,23
		.byt	0,_VOL,$19
		.byt	0,_CUTOD,$04
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL

		.byt	26,_BNOTE,26
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,24
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	0,_VOL,$1a
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,23
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,21
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,19
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,18
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	0,_VOL,$1b
		.byt	10,_BREL
		.byt	26,_BNOTE,17
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,16
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,33
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,21
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,31
		.byt	0,_BSAW
		.byt	0,_VOL,$1c
		.byt	10,_BREL
		.byt	26,_BNOTE,19
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,30
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,18
		.byt	0,_BSAW
		.byt	10,_BREL
;jumphere:	.byt	0,_TEMPO,$50
		.byt	26,_BNOTE,28
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,16
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,26
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,14
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,13
		.byt	0,_BSAW
		.byt	0,_VOL,$1d
		.byt	10,_BREL
		.byt	26,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,18
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,16
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	26,_BNOTE,14
		.byt	0,_BSAW
		.byt	10,_BREL
		.byt	27,_BNOTE,12
		.byt	0,_BSAW
		.byt	10,_BREL
jumphere:
		.byt	27,_CUTOD,0
		.byt	0,_2AD,$02
		.byt	0,_2SR,$48
		.byt	0,_FILTER,$e5
		.byt	0,_3ARP,35,35,35
		.byt	0,_CUTO,$80
		.byt	0,_TEMPO,$28
		.byt	0,_VOL,$1b
		.byt	0,_AD,$d0
		.byt	0,_SR,$ff
		.byt	0,_NOTE,35
		.byt	0,_2NOTE,23
		.byt	0,_2SAW
		.byt	0,_3AD,$0d
		.byt	0,_3SR,$0f
		.byt	0,_3CR,$15
		.byt	0,_TRI
		.byt	12,_NOTE,42
		.byt	12,_NOTE,47
		.byt	12,_NOTE,51
		.byt	0,_2REL
		.byt	12,_NOTE,47
		.byt	12,_NOTE,42
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,42
		.byt	12,_NOTE,47
		.byt	12,_NOTE,51
		.byt	12,_NOTE,47
		.byt	0,_2REL
		.byt	12,_NOTE,42
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	0,_REL
		.byt	12,_NOTE,40
		.byt	12,_NOTE,43
		.byt	12,_NOTE,46
		.byt	12,_NOTE,43
		.byt	0,_2REL
		.byt	12,_NOTE,40
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,40
		.byt	12,_NOTE,43
		.byt	0,_TRI
		.byt	12,_NOTE,46
		.byt	12,_NOTE,43
		.byt	0,_2REL
		.byt	12,_NOTE,40		;28 ???

		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,42
		.byt	12,_NOTE,47
		.byt	12,_NOTE,51
		.byt	12,_NOTE,47
		.byt	0,_2REL
		.byt	12,_NOTE,42
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,42
		.byt	12,_NOTE,47
		.byt	12,_NOTE,51
		.byt	12,_NOTE,47
		.byt	0,_2REL
		.byt	12,_NOTE,42
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,40
		.byt	12,_NOTE,43
		.byt	12,_NOTE,46
		.byt	12,_NOTE,43
		.byt	0,_2REL
		.byt	12,_NOTE,40
		.byt	0,_REL
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,40
		.byt	12,_NOTE,43
		.byt	12,_NOTE,46
		.byt	12,_NOTE,43
		.byt	0,_2REL
		.byt	12,_NOTE,40

		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,42
		.byt	0,_TRI
		.byt	12,_NOTE,47
		.byt	12,_NOTE,50
		.byt	12,_NOTE,47
		.byt	0,_2REL
		.byt	12,_NOTE,42
		.byt	0,_2REL
		.byt	0,_3REL
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,42
		.byt	12,_NOTE,47
		.byt	12,_NOTE,50
		.byt	12,_NOTE,47
		.byt	0,_2REL
		.byt	12,_NOTE,42
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,40
		.byt	12,_NOTE,43
		.byt	0,_REL
		.byt	12,_NOTE,46
		.byt	12,_NOTE,43
		.byt	0,_2REL
		.byt	12,_NOTE,40

		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,42
		.byt	0,_TEMPO,$29
		.byt	12,_NOTE,47
		.byt	12,_NOTE,50
		.byt	12,_NOTE,47
		.byt	0,_2REL
		.byt	12,_NOTE,42
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,42
		.byt	12,_NOTE,47
		.byt	12,_NOTE,50
		.byt	12,_NOTE,47
		.byt	0,_2REL
		.byt	12,_NOTE,42
		.byt	0,_TEMPO,$2a
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	0,_SR,$fd
		.byt	12,_NOTE,40
		.byt	12,_NOTE,43
		.byt	12,_NOTE,46
		.byt	12,_NOTE,43
		.byt	0,_2REL
		.byt	12,_NOTE,40
		.byt	12,_NOTE,35
		.byt	0,_2SAW
		.byt	12,_NOTE,40
		.byt	0,_TEMPO,$2b
		.byt	12,_NOTE,43
		.byt	12,_NOTE,46
		.byt	12,_NOTE,43
		.byt	0,_2REL
		.byt	12,_NOTE,40

		.byt	12,_NOTE,35		;2 bars before (11)
		.byt	0,_VOL,$19
		.byt	0,_FILTER,$c6
		.byt	0,_2AD,$ef
		.byt	0,_2SR,$ff
		.byt	0,_2NOTE,59
		.byt	0,_VOL,$15
		.byt	0,_CUTO,$c0
		.byt	0,_AD,$04
		.byt	0,_SR,$8a
		.byt	0,_TRI
		.byt	0,_2SAW
		.byt	10,_REL
		.byt	0,_2AD,$ff
		.byt	0,_2DEPTH,1
		.byt	0,_VRESTART
		.byt	0,_VSPEED,20
		.byt	62,_TRI
		.byt	0,_2REL
		.byt	10,_REL
		.byt	14,_2NOTE,58
		.byt	0,_2DEPTH,3
		.byt	0,_2SAW
		.byt	24,_2NOTE,59
		.byt	24,_TRI
		.byt	0,_2NOTE,63
		.byt	0,_2REL
		.byt	10,_REL
		.byt	14,_2NOTE,60
		.byt	24,_2NOTE,59
		.byt	24,_TRI
		.byt	0,_2SAW
		.byt	0,_2NOTE,60
		.byt	10,_REL
		.byt	14,_2NOTE,59
		.byt	24,_2NOTE,58
		.byt	0,_2REL
		.byt	0,_2SR,$fe
		.byt	24,_TRI
		.byt	0,_2NOTE,54
		.byt	5,_2SR,$f9
		.byt	5,_REL
		.byt	26,_2NOTE,53
		.byt	0,_2AD,$c0
		.byt	0,_2SR,$ff
		.byt	0,_2SAW
		.byt	12,_2NOTE,54
		.byt	0,_2AD,$f0
		.byt	10,_2REL
		.byt	14,_TRI
		.byt	10,_REL
		.byt	10,_2SAW
		.byt	4,_2NOTE,53
		.byt	24,_2NOTE,54
		.byt	24,_TRI
		.byt	0,_2NOTE,58
		.byt	10,_REL
		.byt	0,_2REL
		.byt	14,_2NOTE,55
		.byt	24,_2NOTE,54
		.byt	24,_TRI
		.byt	0,_2NOTE,55
		.byt	10,_REL
		.byt	14,_2NOTE,54
		.byt	24,_2NOTE,53
		.byt	24,_TRI
		.byt	0,_2REL
		.byt	0,_2NOTE,50
		.byt	5,_2SR,$f9
		.byt	5,_REL
		.byt	26,_2NOTE,49
		.byt	0,_2AD,$c0
		.byt	0,_2SR,$ff
		.byt	0,_2SAW
		.byt	12,_2NOTE,50
		.byt	0,_2AD,$f0
		.byt	10,_2REL
		.byt	14,_TRI
		.byt	0,_2REL
		.byt	10,_REL
		.byt	14,_2SAW
		.byt	0,_2NOTE,49
		.byt	24,_2NOTE,50
		.byt	24,_TRI
		.byt	0,_2NOTE,54
		.byt	10,_REL
		.byt	14,_2NOTE,50
		.byt	24,_2NOTE,49
		.byt	0,_2REL
		.byt	24,_TRI
		.byt	0,_2NOTE,50
		.byt	5,_2SR,$f9
		.byt	5,_REL
		.byt	26,_2NOTE,49
		.byt	0,_2AD,$c0
		.byt	0,_2SR,$ff
		.byt	0,_2SAW
		.byt	12,_2NOTE,50
		.byt	0,_2AD,$f0
		.byt	10,_2REL
		.byt	14,_TRI
		.byt	0,_2REL
		.byt	10,_REL
		.byt	14,_2SAW
		.byt	0,_2NOTE,49
		.byt	24,_2NOTE,50
		.byt	24,_TRI
		.byt	0,_2NOTE,54
		.byt	10,_REL
		.byt	0,_2REL
		.byt	14,_2NOTE,50
		.byt	24,_2NOTE,49
		.byt	24,_TRI
		.byt	0,_2NOTE,54
		.byt	10,_REL
		.byt	0,_TEMPO,$2c
		.byt	14,_2NOTE,50
		.byt	25,_2NOTE,48

		.byt	26,_TRI
		.byt	0,_2NOTE,47
		.byt	10,_REL
		.byt	0,_TEMPO,$2e
		.byt	62,_NOTE,33
		.byt	0,_TRI
		.byt	10,_REL
		.byt	62,_NOTE,31
		.byt	0,_TRI
		.byt	0,_TEMPO,$30
		.byt	10,_REL
		.byt	62,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_TEMPO,$33
		.byt	14,_2NOTE,49		;48 or 49 ?
		.byt	24,_2NOTE,50
		.byt	25,_NOTE,35
		.byt	0,_TRI
		.byt	0,_2NOTE,47
		.byt	10,_REL
		.byt	0,_TEMPO,$35
		.byt	62,_NOTE,33
		.byt	0,_2SR,$fe
		.byt	0,_TRI
		.byt	10,_REL
		.byt	62,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_TEMPO,$38
		.byt	62,_NOTE,30
		.byt	0,_TRI
		.byt	0,_TEMPO,$46
		.byt	10,_REL
		.byt	16,_2NOTE,48
		.byt	0,_TEMPO,$5c
		.byt	27,_2NOTE,50

		;lento
;jumphere:
		.byt	32,_VOL,$43
		.byt	0,_2NOTE,47
		.byt	0,_FILTER,$46
		.byt	0,_CUTO,$72
		.byt	0,_3ARP,59,62,66
		.byt	0,_3AD,$3f
		.byt	0,_3SR,$c8
		.byt	0,_NOTE,35
		.byt	0,_AD,$03
		.byt	0,_SR,$69
		.byt	0,_TEMPO,$5c

		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL

		.byt	3,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL

		.byt	3,_2AD,$a5
		.byt	0,_2SR,$bf
		.byt	0,_2NOTE,47
		.byt	0,_2TRI
		.byt	0,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	4,_2SR,$af
		.byt	1,_2SR,$8c
		.byt	5,_REL
		.byt	0,_2DEPTH,4
		.byt	0,_VRESTART
		.byt	0,_VSPEED,27
		.byt	5,_2DEPTH,3
		.byt	10,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,31
		.byt	20,_2DEPTH,6
		.byt	10,_2REL
		.byt	6,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,35
		.byt	0,_2AD,$54
		.byt	0,_2SR,$8c
		.byt	0,_2TRI
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_VRESTART
		.byt	0,_2DEPTH,4
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_TEMPO,$5e
		.byt	4,_NOTE,40
		.byt	12,_TRI
		.byt	10,_REL
		.byt	14,_NOTE,38
		.byt	0,_TRI
		.byt	0,_2REL
		.byt	10,_REL
		.byt	16,_NOTE,37
		.byt	0,_TRI
		.byt	10,_REL

		; "1 bar before (1)"
		.byt	18,_NOTE,35
		.byt	0,_VOL,$42
		.byt	0,_CUTO,$7a
		.byt	0,_AD,$04
		.byt	0,_SR,$8a
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	4,_TRI
		.byt	10,_REL

		.byt	3,_NOTE,35
		.byt	0,_3ARP,59,62,66
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_TEMPO,$60
		.byt	14,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	4,_NOTE,30
		.byt	0,_TRI
		.byt	10,_REL
		.byt	2,_NOTE,31
		.byt	0,_TRI
		.byt	10,_REL
		.byt	0,_3ARP,59,61,65
		.byt	2,_3TRI
		.byt	0,_TEMPO,$61
		.byt	8,_3REL
		.byt	4,_3TRI
		.byt	8,_3REL
		.byt	12,_3ARP,59,65,67
		.byt	8,_3TRI
		.byt	8,_3REL
		.byt	0,_NOTE,37
		.byt	6,_TRI
		.byt	10,_REL

		.byt	28,_NOTE,35
		.byt	0,_AD,$ff
		.byt	0,_SR,$ff
		.byt	0,_2AD,$ff
		.byt	0,_2SR,$ff
		.byt	0,_TRI
		.byt	0,_2NOTE,42
		.byt	0,_2TRI
		.byt	20,_BREL

		.byt	2,_END

basefreq:	.word	0
basefreq2:	.word	0
vibroffs:	.word	0
vibroffs2:	.word	0
transpoffs:	.word	0
transpdelta:	.word	0

pwidth		.word	$c00
pwidthd		.word	0

cutoff		.word	$d000
cutoffd		.word	0

timeleft:	.byt	20
playflag:	.byt	1

vibrdelta:	.byt	10
vibrpos:	.byt	0
vibrdepth:	.byt	6
vibrdepth2:	.byt	6

ctrlshadow	.byt	0
ctrlshadow2	.byt	0
ctrlshadow3	.byt	0

arpnotes	.byt	0,0,0
arppos		.byt	1

sinvibr:
        .byt    $0,$0,$0,$0,$0,$0,$1,$1,$2,$3,$3,$4,$5,$6,$7,$8
        .byt    $9,$a,$c,$d,$e,$10,$12,$13,$15,$17,$18,$1a,$1c,$1e,$20,$23
        .byt    $25,$27,$29,$2c,$2e,$30,$33,$35,$38,$3b,$3d,$40,$43,$45,$48,$4b
        .byt    $4e,$51,$54,$57,$5a,$5d,$60,$63,$66,$69,$6c,$6f,$72,$75,$78,$7b
        .byt    $7e,$82,$85,$88,$8b,$8e,$91,$94,$97,$9a,$9d,$a0,$a3,$a6,$a9,$ac
        .byt    $af,$b2,$b5,$b8,$ba,$bd,$c0,$c2,$c5,$c8,$ca,$cd,$cf,$d1,$d4,$d6
        .byt    $d8,$da,$dd,$df,$e1,$e3,$e5,$e6,$e8,$ea,$eb,$ed,$ef,$f0,$f1,$f3
        .byt    $f4,$f5,$f6,$f7,$f8,$f9,$fa,$fa,$fb,$fc,$fc,$fd,$fd,$fd,$fd,$fd
        .byt    $fe,$fd,$fd,$fd,$fd,$fd,$fc,$fc,$fb,$fa,$fa,$f9,$f8,$f7,$f6,$f5
        .byt    $f4,$f3,$f1,$f0,$ef,$ed,$eb,$ea,$e8,$e6,$e5,$e3,$e1,$df,$dd,$da
        .byt    $d8,$d6,$d4,$d1,$cf,$cd,$ca,$c8,$c5,$c2,$c0,$bd,$ba,$b8,$b5,$b2
        .byt    $af,$ac,$a9,$a6,$a3,$a0,$9d,$9a,$97,$94,$91,$8e,$8b,$88,$85,$82
        .byt    $7f,$7b,$78,$75,$72,$6f,$6c,$69,$66,$63,$60,$5d,$5a,$57,$54,$51
        .byt    $4e,$4b,$48,$45,$43,$40,$3d,$3b,$38,$35,$33,$30,$2e,$2c,$29,$27
        .byt    $25,$23,$20,$1e,$1c,$1a,$18,$17,$15,$13,$12,$10,$e,$d,$c,$a
        .byt    $9,$8,$7,$6,$5,$4,$3,$3,$2,$1,$1,$0,$0,$0,$0,$0

hifreq:
	.byt	$01,$01,$01,$01,$01
	.byt	$01,$01,$01,$01,$01,$01
	.byt	$02,$02,$02,$02,$02,$02
	.byt	$02,$03,$03,$03,$03,$03
	.byt	$04,$04,$04,$04,$05,$05
	.byt	$05,$06,$06,$06,$07,$07
	.byt	$08,$08,$09,$09,$0a,$0a
	.byt	$0b,$0c,$0d,$0d,$0e,$0f
	.byt	$10,$11,$12,$13,$14,$15
	.byt	$17,$18,$1a,$1b,$1d,$1f
	.byt	$20,$22,$24,$27,$29,$2b
	.byt	$2e,$31,$34,$37,$3a,$3e
	.byt	$41,$45,$49,$4e,$52,$57
	.byt	$5c,$62,$68,$6e,$75,$7c
	.byt	$83,$8b,$93,$9c,$a5,$af
	.byt	$b9,$c4,$d0,$dd,$ea,$f8

lofreq:
	.byt	$16,$27,$38,$4b,$5e
	.byt	$73,$89,$a1,$ba,$d4,$f0
	.byt	$0d,$2c,$4e,$71,$96,$bd
	.byt	$e7,$13,$42,$74,$a8,$e0
	.byt	$1b,$59,$9c,$e2,$2c,$7b
	.byt	$ce,$27,$84,$e8,$51,$c0
	.byt	$36,$b3,$38,$c4,$59,$f6
	.byt	$9d,$4e,$09,$d0,$a2,$81
	.byt	$6d,$67,$70,$88,$b2,$ed
	.byt	$3a,$9c,$13,$a0,$44,$02
	.byt	$da,$ce,$e0,$11,$64,$da
	.byt	$75,$38,$26,$40,$89,$04
	.byt	$b4,$9c,$c0,$22,$c8,$b4
	.byt	$eb,$71,$4c,$80,$12,$08
	.byt	$68,$38,$80,$45,$90,$68
	.byt	$d6,$e3,$98,$00,$24,$10



